For AI agents: the complete documentation index is at https://buddy.works/llms.txt
GET
- /workspaces
- /:workspace
- /domains
Get all domains in the workspace
REQUIRED SCOPESDOMAIN_READ
URL PARAMETERSworkspacerequiredstring
The human-readable ID of the workspace GET PARAMETERStypestring enum
Return only domains of the given typeAllowed enum: REGISTERED,
POINTED,
PRIVATE,
CLAIMED
RESPONSE BODYurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.works Last modified on Apr 22, 2026
curl -X GET "https://api.buddy.works/workspaces/:workspace/domains" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
{
"url": "https://api.buddy.works/workspaces/my-company/domains",
"html_url": "https://app.buddy.works/my-company/-/domains",
"domains": [
{
"url": "https://api.buddy.works/workspaces/my-company/domains/4krmDRPw",
"html_url": "https://app.buddy.works/my-company/-/domain/4krmDRPw",
"id": "4krmDRPw",
"name": "example.com",
"type": "REGISTERED"
},
{
"url": "https://api.buddy.works/workspaces/my-company/domains/z2Qb9p03",
"html_url": "https://app.buddy.works/my-company/-/domain/z2Qb9p03",
"id": "z2Qb9p03",
"name": "myproject.org",
"type": "POINTED"
},
{
"url": "https://api.buddy.works/workspaces/my-company/domains/jBQ19Qya",
"html_url": "https://app.buddy.works/my-company/-/domain/jBQ19Qya",
"id": "jBQ19Qya",
"name": "testdomain.net",
"type": "PRIVATE"
}
]
}
STATUS
200 OK